/*
 * Copyright 2023 Sony Corporation
 */

#include <stdio.h>
#include <command.h>
#include <debug_impl.h>
#include <rbiread.h>

int do_rbiread(cmd_tbl_t *cmdtp, int flag, int argc, char * const argv[])
{
	int ret = -1;

	ret = rbiread();
	if (ret != 0) {
		UBOOT_ERROR("failed to rbiread.\n");
		return CMD_RET_FAILURE;
	}
	return CMD_RET_SUCCESS;
}

U_BOOT_CMD(
	rbiread, CONFIG_SYS_MAXARGS, 1, do_rbiread,
	"rbiread - read and set rollback index to android.boot prop\n",
	NULL
);
